---
# tasks file for autovnet

- import_tasks:
    file: baseline.yml
  when: AUTOVNET_INSTALL_BASELINE
  become: True
  tags:
    - baseline

- import_tasks:
    file: autovnet_dirs.yml
  when: AUTOVNET_INSTALL_DIRS
  become: True
  tags:
    - autovnet_dirs

- import_tasks:
    file: docker.yml
  when: AUTOVNET_INSTALL_DOCKER
  become: True
  tags:
    - docker

- import_tasks:
    file: client_deps.yml
  when: AUTOVNET_INSTALL_CLIENT_DEPS
  become: True
  tags:
    - client_deps

- import_tasks:
    file: msf.yml
  when: AUTOVNET_INSTALL_MSF
  become: True
  tags:
    - msf

- import_tasks:
    file: obs.yml
  when: AUTOVNET_INSTALL_OBS
  become: True
  tags:
    - obs

- import_tasks:
    file: element.yml
  when: AUTOVNET_INSTALL_ELEMENT
  become: True
  tags:
    - element

- import_tasks:
    file: wheel.yml
  when: AUTOVNET_INSTALL_WHEEL
  become: True
  tags:
    - wheel

- import_tasks:
    file: cme.yml
  when: AUTOVNET_INSTALL_CME
  become: False
  tags:
    - cme

- import_tasks:
    file: shell.yml
  when: AUTOVNET_INSTALL_SHELL
  become: True
  tags:
    - shell

- import_tasks:
    file: docs.yml
  when: AUTOVNET_INSTALL_DOCS
  become: True
  tags:
    - fixes

- import_tasks:
    file: fixes.yml
  when: AUTOVNET_INSTALL_FIXES
  become: True
  tags:
    - fixes

